---
category: Comp
page: A
rank: 0
---

## API

| 成员        | 说明           | 类型               | 默认值       |
|-------------|----------------|--------------------|--------------|
| offsetTop    | 距离窗口顶部达到指定偏移量后触发   | number |         |
| offsetBottom | 距离窗口底部达到指定偏移量后触发   | number |         |
| target | 设置 `Affix` 需要监听其滚动事件的元素，值为一个返回对应 DOM 元素的函数 | () => HTMLElement | () => window |
| onChange | 固定状态改变时触发的回调函数   | Function(affixed) | 无        |

# a.m

````js
import request from 'superagent';
import {Button, DatePicker} from 'antd';
import React from 'react';
import ReactDom from 'react-dom';

request
    .get('/test1')
    .query({
        'currentPage': page,
        'pageSize': this.PAGE_SIZE,
        'dealId': this.dealId
    })
    .end((err, res) => {
        const body = res.body;
        const data = res.body.data;
        poiStore.loading = false;

        if (body.code === 0) {
            poiStore.totalCount = data.totalCount;
            poiStore.currentPage = data.currentPage;
            data.data.dealPoiAccountBOs.forEach((item, i) => {
                item.key = i;
            });
            poiStore.setList(data.data.dealPoiAccountBOs);
        }
    });

export default (props) => {
    return (
        <div>
            <DatePicker />
        </div>
    )
}

````