const fs = require('fs');
const path = require('path');
const walk = require('walk');
const config  = require('./config');

const walker = walk.walk(config.root);
walker.on('file', function (root, fileStats, next) {
    const basename = fileStats.name;
    const ext = path.extname(basename);

    const file = path.resolve(__dirname, root + basename);
    console.log(file);
    if (ext === '.md') {
        // fs.readFileSync();
    }

    next();
});


walker.on('end', () => {

    console.log('end');
    // console.log(result);
});

walker.on('error', (e) => {
    console.log(e);
})