const wpconfig = require('../webpack.config');

const webpack = require('webpack');
const webdevServer = require('webpack-dev-server');

const walkmd = require('./walkmd');


module.exports = config => {
    walkmd(config, () => {
        const compiler = webpack(wpconfig);
        console.log('wpconfig.devServer:', wpconfig.devServer)
        const server = new webdevServer(compiler, { host: '0.0.0.0',
  port: 9000,
  contentBase: '/Users/zhangpeng53/Documents/my/markdoc/site',
  compress: true,
  historyApiFallback: true,
  hot: true,
  https: false,
  noInfo: true);
        server.listen(wpconfig.devServer.port, "localhost", ()=> {
            console.log('====start-dev-server====');
        });
    });
}