const marked = require('./marked');

const renderer = new marked.Renderer();

renderer.code = (code, lang) => {
    return `
        <div>
            <pre><code>${code}</code></pre>
        </div>`;
}

function process(source) {
    source = marked(source, {renderer: renderer});
    const res = JSON.stringify(source);
    return res;
}


module.exports = function(source, map){
    this.cacheable && this.cacheable();
    //对source进行解析
    var exports = process(source);
    return "module.exports = " + exports;
}