const walk = require('walk');

const config  = require('./config');


const walker = walk.walk(config.root);
walker.on('file', function (root, fileStats, next) {
    const ext = path.extname(fileStats.name);
    const basename = fileStats.name;
    if (ext === '.js') {
        if (basename.indexOf('vendor') === 0) {
            next();
        } else {
            data.js.push(basename);
        }
    } else if (ext === '.css') {
        data.css.push(basename);
    }

    next();
});


walker.on('end', () => {
    data.js = JSON.stringify(data.js);
    data.css = JSON.stringify(data.css);

    const result = tpl.replace(/<%([^%>]+)?%>/g, function(s0, s1){
        return data[s1];
    });

    fs.writeFile('./vdp/lib.js', result, (err) => {
        if(err) throw err;
        console.log('tolib success!');
    });
    
    // console.log(result);
});