import React from 'react';
import RM from 'react-dom';

import mdJson from '../tmp/__md__.json';


export default class Render extends React.Component {

    page;

    constructor(props) {
        super(props);
    }

    componentDidMount() {
        // RM.render(<MD.Comp />, document.getElementById(id));
    }

    componentDidUpdate() {

        const {page} = this.props;

        page.forEach(p => {
            const Comp = p.default;
            if (Comp) {
                RM.render(<Comp />, document.getElementById(p.id));
            }
        })
    }

    $parseMD(page) {
        const res = page.map(item => {
            return <div dangerouslySetInnerHTML={{ __html: decodeURIComponent(item.md)}} />
        });

        return res;
    }

    render() {
        const {pageName} = this.props;

        this.page = require(`../tmp/__${pageName}`);

        if (!this.page) return <div />;

        return (
            <div>
                {this.$parseMD(page)}
            </div>
        )
    }
}